daemon daemon/udhcpc/* {
	need = system/bootmisc;
	use = system/static-modules system/coldplug;
	pid_file = /var/run/udhcpc-${NAME}.pid;
	respawn;
	env_file = /etc/conf.d/net;
	script daemon = {
		eval opts=\"\$\{udhcpc_${NAME}\}\"
		h=`hostname`
		if [ -n "${h}" -a ! "${h}" = "(none)" -a ! "${h}" = "localhost" ]
		then
			echo "${opts}" | /bin/grep -w -- '-h' || opts="${opts} --hostname=${h}"
		fi
		exec udhcpc ${opts} --now --script=${INITNG_PLUGIN_DIR}/scripts/net/udhcpc-wrapper --pidfile=/var/run/udhcpc-${NAME}.pid --interface=${NAME}
	};
}
