service daemon/NetworkManager/prepare {
	need = system/bootmisc;
	script start = {
		[ -d /var/lib/NetworkManager ] || /bin/mkdir -p /var/lib/NetworkManager
		chown -R bind:bind /var/lib/NetworkManager
		chmod 755 /var/lib/NetworkManager
	};
}

daemon daemon/NetworkManager {
	need = system/bootmisc daemon/hald system/modules/capability;
	env_file = /etc/default/NetworkManager;
	pid_file = /var/run/NetworkManager;
	script daemon = /usr/sbin/NetworkManager;
}
